## org.eclipse.emf.ecore
Interface EParameter

All Superinterfaces:
  EModelElement, ENamedElement, EObject, ETypedElement, Notifier

All Known Implementing Classes:
  EParameterImpl

    public interface EParameter

extends ETypedElement

A representation of the model object 'EParameter'.

The following features are supported:

- `EOperation`

See Also:
  `EcorePackage.getEParameter()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary
`EOperation` `getEOperation()` Returns the value of the 'EOperation' container reference.

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEOperation

    EOperation getEOperation()

  Returns the value of the 'EOperation' container reference. It is bidirectional and its opposite is '`EParameters`'.

  It represents the containing operation.

  Returns:
    the value of the 'EOperation' container reference.
  See Also:
    `EcorePackage.getEParameter_EOperation()`, `EOperation.getEParameters()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.